A comment thread is a discussion you have with someone else internally or with a partner, on a suggestion for example. A comment thread on a suggestion is a discussion with one of your partner on an item. A comment thread contains the list of comments sent by either of you.
The Comment Threads API Swagger definition is available on our Product-Live API portal here.
{ "object": "comment-thread", "comments": [ { "message": "Good morning,\nWould it be possible to clarify the product description?\nTHANKS" } ], "targetId": "13675", "targetType": "suggestion"}
1 2 3 4 5 6 7 8 9 10
json
{ "object": "comment-thread", "comments": [ { "message": "Your publication of item 3045386370012 was not collected for the following reasons: the product identifier is already used by another product.\n\nPlease fix your data and publish the item again.\n\nReplies to this comment are not visible on our side. For any question, contact me at jane.doe@retailerx.com.\n\nJane Doe - Product Data Manager" } ], "targetId": "46954", "targetType": "publication", "emitter": { "type": "USER", "userId": "467" }}
1 2 3 4 5 6 7 8 9 10 11 12 13 14
json
{ "object": "comment-thread", "comments": [ { "message": "The suggestion created at 2026-10-01 was not collected. An item with the same identifier `2000099919335-2000099919366` (COMPOUND-ID) already exists on table `PRODUCTS`. Please change the identifier value or contact your distributor.`" } ], "targetId": "46954", "targetType": "publication", "emitter": { "type": "SYSTEM" }}
1 2 3 4 5 6 7 8 9 10 11 12 13
TIP
Always provide an explicit message to ensure that it can be correctly displayed in the interface.
System comment theads can only be created on publications.
When creating a system comment thread, the userId is ignored.
Request Example
bash
curl -X 'POST' \ 'https://api.product-live.com/v1/comment-threads' \ -H 'accept: */*' \ -H 'X-Api-Key: <REDACTED>' -d '{ "object": "comment-thread", "comments": [ { "message": "Good morning,\nWould it be possible to clarify the product description?\nTHANKS" } ], "targetId": "13675", "targetType": "suggestion" }'
{ "message": "Hello, I have just sent you a more precise description. Could you tell me if this new description suits you? THANKS"}
1 2 3
TIP
Always provide an explicit message to ensure that it can be correctly displayed in the interface.
Request Example
bash
curl -X 'POST' \ 'https://api.product-live.com/v1/comment-threads/170/add-comment' \ -H 'accept: */*' \ -H 'X-Api-Key: <REDACTED>' -d '{ "message": "Hello, I have just sent you a more precise description. Could you tell me if this new description suits you? THANKS" }'
1 2 3 4 5 6 7
Response example
json
{ "comments": [ { "creationDate": "2023-11-27T13:12:29.947Z", "type": "TEXT", "id": "656495bdea57cd0db4b0682d", "accountName": "RETAILX", "userId": "5443", "message": "Good morning,\nWould it be possible to clarify the product description?\nTHANKS" }, { "creationDate": "2023-12-15T16:55:20.391Z", "type": "TEXT", "id": "657c84f8ae5d307ce00a4327", "accountName": "SUPPLIERX", "userId": "697", "message": "Hello, I have just sent you a more precise description. Could you tell me if this new description suits you? THANKS" } ], "type": "DEFAULT", "object": "comment-thread", "id": "170", "createdAt": "2023-11-27T13:12:29.000Z", "updatedAt": "2023-12-15T16:55:20.391Z", "accountAssigneesId": [ "2482" ], "subscribersId": [ "39", "42" ], "isClosed": false, "accountId": "2482", "userId": "5443", "targetId": "13675", "targetType": "suggestion"}
{ "comments": [ { "creationDate": "2023-11-27T13:12:29.947Z", "type": "TEXT", "id": "656495bdea57cd0db4b0682d", "accountName": "RETAILX", "userId": "5443", "message": "Good morning,\nWould it be possible to clarify the product description?\nTHANKS" }, { "creationDate": "2023-12-15T16:55:20.391Z", "type": "TEXT", "id": "657c84f8ae5d307ce00a4327", "accountName": "SUPPLIERX", "userId": "697", "message": "Hello, I have just sent you a more precise description. Could you tell me if this new description suits you? THANKS" } ], "type": "DEFAULT", "object": "comment-thread", "id": "170", "createdAt": "2023-11-27T13:12:29.000Z", "updatedAt": "2023-12-18T11:32:54.463Z", "accountAssigneesId": [ "2490" ], "subscribersId": [ "39", "42" ], "isClosed": false, "accountId": "2482", "userId": "5443", "targetId": "13675", "targetType": "suggestion"}
Content Management Comment Threads API
Introduction
A comment thread is a discussion you have with someone else internally or with a partner, on a suggestion for example. A comment thread on a suggestion is a discussion with one of your partner on an item. A comment thread contains the list of comments sent by either of you.
The Comment Threads API Swagger definition is available on our Product-Live API portal here.
General information
Get Comment Thread by id
Request URL
Path parameters
Request parameters
None
Request headers
Request Body
None
Request Example
2
3
4
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
List Comment Threads
Request URL
Path parameters
None
Request parameters
Default value if missing : 0
Default value if missing : 10
Request headers
Request Body
None
Request Example
2
3
4
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Find Comment Threads
Request URL
Path parameters
None
Request parameters
Default value if missing : 0
Default value if missing : 10
Request headers
Request Body
See more details on the find request body in the dedicated page Find request.
2
3
4
5
6
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
Request Example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Create a Comment Thread
Request URL
Path parameters
None
Request parameters
None
Request Body
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
11
12
13
14
2
3
4
5
6
7
8
9
10
11
12
13
TIP
userIdis ignored.Request Example
2
3
4
5
6
7
8
9
10
11
12
13
14
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
Reply to a Comment Thread
Request URL
Path parameters
Request parameters
None
Request Body
2
3
TIP
Always provide an explicit message to ensure that it can be correctly displayed in the interface.
Request Example
2
3
4
5
6
7
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
Assign, close or reopen a Comment Thread
Request URL
Path parameters
Request parameters
None
Request Body
2
3
4
5
6
2
3
4
5
2
3
4
TIP
Request Example
2
3
4
5
6
7
8
9
10
Response example
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37